// Timer.h: interface for the Timer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TIMER_H__80B99D63_C8C3_4331_85A5_E85A9E844327__INCLUDED_)
#define AFX_TIMER_H__80B99D63_C8C3_4331_85A5_E85A9E844327__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <ctime>


class Timer  
{
private:
	time_t	count;
	time_t	start;
	time_t	stop;
	time_t	elapsed;
public:
	Timer();
	virtual ~Timer();
	void Reset();
	time_t  Elapsed();
	void    Start();
	void	Stop();
	bool	OutofTime();
	void	CountDown(int);
	void	IncreTime(int);
	time_t  Remains();
};

#endif // !defined(AFX_TIMER_H__80B99D63_C8C3_4331_85A5_E85A9E844327__INCLUDED_)
