// Analyzer.h: interface for the Analyzer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ANALYZER_H__C9D555A7_FE3F_480F_ADD7_2C01EACB4941__INCLUDED_)
#define AFX_ANALYZER_H__C9D555A7_FE3F_480F_ADD7_2C01EACB4941__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Configuration.h"
#include "Opengame.h"

#include "Timer.h"
enum TimeMode
{
	TotalTime=1,
	IncreTime=2,
	PlyTime=3
};

class Analyzer  
{
public:
	Analyzer(int plyLimit, int nodeLimit);
	virtual ~Analyzer();

protected:
	int plyLimit;
	int nodeLimit;

	TimeMode timeMode;
	int totalTime;
	int increTime;
	int moveNum; //the move number setting for the total number
	int moveCounter;

	Timer timer;

	Configuration* lastTwoConfigs[2];
public:

	void setTimeMode(TimeMode timeMode,int totalTime,int increTime,int moveNum);
	int timeAlloc();

	MOVE plyGen(Configuration* curConfig);
};

#endif // !defined(AFX_ANALYZER_H__C9D555A7_FE3F_480F_ADD7_2C01EACB4941__INCLUDED_)
