#ifndef HASH_H_
#define HASH_H_

#include "Configuration.h"
//#include MAX_PLY_DEPTH 1000
#define HASH_MEM_SIZE (unsigned long)1000000

enum EntryType
{
	EXACT=1, 
	LOWERBOUND=2,
	UPPERBOUND=3
};

struct HashEntry
{
	KEY checkNum;
	int plyDepth;
	EntryType entryType;		
	int backup_value;
};

void initHash();
void cleanupHash();
//void setupHashTable();
KEY makeKey(Configuration* config);
KEY makeCheckNum(Configuration* config);
HashEntry* lookup(KEY key, bool blackNext);

#endif //HASH_H_

