// Message.cpp: implementation of the Message class.
//
//////////////////////////////////////////////////////////////////////

#include "Message.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Message::Message()
{
	type=INITIALIZE;
	GameMode=true;
	Color=true;
	Difficulty=true;
	timeperMove=0;
	depth=4;
	Post=false;
	move=(MOVE)0;
	promotionChoice=0x00;
	increTime=0;
	TotalTime=0;
	Moves=0;
}

Message::~Message()
{

}

Message::Message(Message &message)
{
	type=message.type;
	GameMode=message.GameMode;
	Color=message.Color;
	Difficulty=message.Difficulty;
	timeperMove=message.timeperMove;
	depth=message.depth;
	Post=message.Post;
	move=message.move;
	promotionChoice=message.promotionChoice;
}

