#include "Configuration.h"
#include "Timer.h"

class MinimaxTree
{
public:
	MinimaxTree(Configuration* curConf, int plyLimit=0, int nodeLimit=0, Timer* pTimer=NULL);
	virtual ~MinimaxTree();
	void getResponse(Configuration* lastTwoConfig);		//  search for the next best move under current configuration
	int getnodeNum();		//	get the number of node searched
	
private:
	Configuration* current_Conf;		//	local variables
	int ABP(Configuration* N, Configuration* B_Child, int A, int B, int Max_node, int plyNum);
	int ply_Limit;			//	upper limit of the ply of node searched
	int node_Limit;			//	upper limit of the number of node searched
	int nodeNum;			//	number of node searched
	Timer* m_pTimer;
	Configuration* lastTwoConfig;

#ifdef DEBUG
	int counter1;
	int counter2;
	int counter3;
#endif
};


