// Timer.cpp: implementation of the Timer class.
//
//////////////////////////////////////////////////////////////////////

#include "Timer.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Timer::Timer()
{

}

Timer::~Timer()
{

}

void Timer::Start()
{
	start=time(NULL);
}

void Timer::Stop()
{
	stop=time(NULL);
	elapsed=stop-start;
}

time_t Timer::Elapsed()
{
	time_t temp=time(NULL);
	return (temp-start);
}

void Timer::Reset()
{
	start=0;
	stop=0;
	elapsed=0;
	count=0;
}

bool Timer::OutofTime()
{
	time_t temp=time(NULL);
	return((temp-start)>=count);
}

void Timer::CountDown(int counts)
{
	count=counts;
	start=time(NULL);
}

void Timer::IncreTime(int incre)
{
	count+=incre;
}

time_t Timer::Remains()
{
	time_t temp=time(NULL);
	return count-(temp-start);
}


